OpenZWave::ValueString Class Reference

String value sent to/received from a node. More...

`#include <ValueString.h>`

Inheritance diagram for OpenZWave::ValueString:

## Public Member Functions

| ValueString (uint32 const _homeId, uint8 const _nodeId, ValueID::ValueGenre const _genre, uint8 const _commandClassId, uint8 const _instance, uint8 const _index, string const &_label, string const &_units, bool const _readOnly, bool const _writeOnly, string const &_value, uint8 const _pollIntensity)
| ValueString ()
virtual | ~ValueString ()
bool | Set (string const &_value)
void | OnValueRefreshed (string const &_value)
virtual string const | GetAsString () const
virtual bool | SetFromString (string const &_value)
virtual void | ReadXML (uint32 const _homeId, uint8 const _nodeId, uint8 const _commandClassId, TiXmlElement const *_valueElement)
virtual void | WriteXML (TiXmlElement *_valueElement)
string | GetValue () const
Public Member Functions inherited from OpenZWave::Value
| Value (uint32 const _homeId, uint8 const _nodeId, ValueID::ValueGenre const _genre, uint8 const _commandClassId, uint8 const _instance, uint8 const _index, ValueID::ValueType const _type, string const &_label, string const &_units, bool const _readOnly, bool const _writeOnly, bool const _isset, uint8 const _pollIntensity)
| Value ()
ValueID const & | GetID () const
bool | IsReadOnly () const
bool | IsWriteOnly () const
bool | IsSet () const
bool | IsPolled () const
string const & | GetLabel () const
void | SetLabel (string const &_label)
string const & | GetUnits () const
void | SetUnits (string const &_units)
string const & | GetHelp () const
void | SetHelp (string const &_help)
uint8 const & | GetPollIntensity () const
void | SetPollIntensity (uint8 const &_intensity)
int32 | GetMin () const
int32 | GetMax () const
void | SetChangeVerified (bool _verify)
bool | GetChangeVerified ()
bool | Set ()
Public Member Functions inherited from OpenZWave::Ref
| Ref ()
void | AddRef ()
int32 | Release ()

## Additional Inherited Members

Static Public Member Functions inherited from OpenZWave::Value
static ValueID::ValueGenre | GetGenreEnumFromName (char const *_name)
static char const * | GetGenreNameFromEnum (ValueID::ValueGenre _genre)
static ValueID::ValueType | GetTypeEnumFromName (char const *_name)
static char const * | GetTypeNameFromEnum (ValueID::ValueType _type)
Protected Member Functions inherited from OpenZWave::Value
virtual | ~Value ()
bool | IsCheckingChange () const
void | SetCheckingChange (bool _check)
void | OnValueRefreshed ()
void | OnValueChanged ()
int | VerifyRefreshedValue (void *_originalValue, void *_checkValue, void *_newValue, ValueID::ValueType _type, int _originalValueLength=0, int _checkValueLength=0, int _newValueLength=0)
Protected Member Functions inherited from OpenZWave::Ref
virtual | ~Ref ()
Protected Attributes inherited from OpenZWave::Value
int32 | m_min
int32 | m_max
time_t | m_refreshTime
bool | m_verifyChanges

## Detailed Description

String value sent to/received from a node.

## Constructor & Destructor Documentation

## ValueString() [1/2]

ValueString::ValueString | ( | uint32 const | _homeId,
|  | uint8 const | _nodeId,
|  | ValueID::ValueGenre const | _genre,
|  | uint8 const | _commandClassId,
|  | uint8 const | _instance,
|  | uint8 const | _index,
|  | string const & | _label,
|  | string const & | _units,
|  | bool const | _readOnly,
|  | bool const | _writeOnly,
|  | string const & | _value,
|  | uint8 const | _pollIntensity
| ) |  |

## ValueString() [2/2]

OpenZWave::ValueString::ValueString | ( |  | ) |

inline

## ~ValueString()

virtual OpenZWave::ValueString::~ValueString | ( |  | ) |

inline virtual

## Member Function Documentation

## GetAsString()

virtual string const OpenZWave::ValueString::GetAsString | ( |  | ) | const

inline virtual

Reimplemented from OpenZWave::Value.

## GetValue()

string OpenZWave::ValueString::GetValue | ( |  | ) | const

inline

## OnValueRefreshed()

void ValueString::OnValueRefreshed | ( | string const & | _value | ) |

## ReadXML()

void ValueString::ReadXML | ( | uint32 const | _homeId,
|  | uint8 const | _nodeId,
|  | uint8 const | _commandClassId,
|  | TiXmlElement const * | _valueElement
| ) |  |

virtual

Reimplemented from OpenZWave::Value.

## Set()

bool ValueString::Set | ( | string const & | _value | ) |

## SetFromString()

virtual bool OpenZWave::ValueString::SetFromString | ( | string const & | _value | ) |

inline virtual

Reimplemented from OpenZWave::Value.

## WriteXML()

void ValueString::WriteXML | ( | TiXmlElement * | _valueElement | ) |

virtual

Reimplemented from OpenZWave::Value.

The documentation for this class was generated from the following files:

- ValueString.h
- ValueString.cpp